# PSI Mid k8s cluster CI jobs
k8srunner-psi-mid-force-clean:
  image: $SKA_K8S_TOOLS_DEPLOY_IMAGE
  variables:
    K8S_TEST_CLUSTER_TAG: k8srunner-psi-mid
  stage: .post
  dependencies: []
  tags:
    - $K8S_TEST_CLUSTER_TAG
  before_script:
    - !reference [ .force_clean , before_script ]
  script:
    - !reference [ .force_clean , script ]
  when: manual
  rules:
  - exists:
    - tests/**/*
  - if: $CI_PIPELINE_SOURCE == "schedule"
    when: always
  - if: $CI_PIPELINE_SOURCE != "schedule"
    when: manual
  environment:
    name: test/$CI_COMMIT_REF_SLUG
    action: stop
